#version unofficial MegaPOV 0.7;

#macro Lathe(Type,Points,
V1,V2,V3,V4,V5,V6,V7,V8,V9,V10,V11,V12,V13,V14,V15,
Color,Texture)  
#switch(Points)
//3 Point Spline
#case(3)
#if(View<5)
#declare Profile = sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
V1,.03
V2,.03
V3,.03
#if(Type=2)
V3,.03
#end}
union {
object {Profile}
object {Profile rotate y*45}
object {Profile rotate y*-45}
object {Profile rotate y*90}
object {Profile rotate y*-90}
object {Profile rotate y*135}
object {Profile rotate y*-135}
object {Profile rotate y*180}
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V1
#end
V1,
V2,
V3        
#if(Type=2)
V1
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V1
#end
V1,
V2,
V3        
#if(Type=2)
V1
#end
texture {Texture}}
#end
#break
//4 Point Spline
#case(4)
#if(View<5)
#declare Profile = sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
#if(Type=2)
V4,.03
#end}
union {
object {Profile}
object {Profile rotate y*45}
object {Profile rotate y*-45}
object {Profile rotate y*90}
object {Profile rotate y*-90}
object {Profile rotate y*135}
object {Profile rotate y*-135}
object {Profile rotate y*180}
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V2
#end
V1,
V2,
V3,        
V4
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V2
#end
V1,
V2,
V3,        
V4
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break
//5 Point Spline
#case(5)
#if(View<5)
#declare Profile = sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
#if(Type=2)
V5,.03
#end}
union {
object {Profile}
object {Profile rotate y*45}
object {Profile rotate y*-45}
object {Profile rotate y*90}
object {Profile rotate y*-90}
object {Profile rotate y*135}
object {Profile rotate y*-135}
object {Profile rotate y*180}
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count = 0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V3
#end
V1,
V2,
V3,        
V4,
V5
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V3
#end
V1,
V2,
V3,        
V4,
V5
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break
//6 Point Spline
#case(6)
#if(View<5)
#declare Profile = sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
#if(Type=2)
V6,.03
#end}
#union {
object {Profile}
object {Profile rotate y*45}
object {Profile rotate y*-45}
object {Profile rotate y*90}
object {Profile rotate y*-90}
object {Profile rotate y*135}
object {Profile rotate y*-135}
object {Profile rotate y*180}
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V6
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V4
#end
V1,
V2,
V3,        
V4,
V5,
V6
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V4
#end
V1,
V2,
V3,        
V4,
V5,
V6
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break
//7 Point Spline
#case(7)
#if(View<5)
#declare Profile = sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
#if(Type=2)
V7,.03
#end}
union {
object {Profile}
object {Profile rotate y*45}
object {Profile rotate y*-45}
object {Profile rotate y*90}
object {Profile rotate y*-90}
object {Profile rotate y*135}
object {Profile rotate y*-135}
object {Profile rotate y*180}
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V6
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V7
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V5
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V5
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break
//8 Point Spline
#case(8)
#if(View<5)
#declare Profile = sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
#if(Type=2)
V8,.03
#end}
#union {
object {Profile}
object {Profile rotate y*45}
object {Profile rotate y*-45}
object {Profile rotate y*90}
object {Profile rotate y*-90}
object {Profile rotate y*135}
object {Profile rotate y*-135}
object {Profile rotate y*180}
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end 
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V6
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V7
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V8
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V6
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V6
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break 
//9 Point Spline
#case(9)
#if(View<5)
#declare Profile = sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
  V9,.03
#if(Type=2)
  V9,.03
#end}
#union {
object {Profile}
object {Profile rotate y*45}
object {Profile rotate y*-45}
object {Profile rotate y*90}
object {Profile rotate y*-90}
object {Profile rotate y*135}
object {Profile rotate y*-135}
object {Profile rotate y*180}
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end 
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V6
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V7
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V8
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V9
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V7
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8,
V9
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V7
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8,
v9
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break 
//10 Point Spline
#case(10)
#if(View<5)
#declare Profile = sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
  V9,.03
  V10,.03
#if(Type=2)
  V10,.03
#end}
#union {
object {Profile}
object {Profile rotate y*45}
object {Profile rotate y*-45}
object {Profile rotate y*90}
object {Profile rotate y*-90}
object {Profile rotate y*135}
object {Profile rotate y*-135}
object {Profile rotate y*180}
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end 
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V6
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V7
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V8
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V9
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V10
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V8
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8,
V9,
V10
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V8
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8,
v9,
V10
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break 
//11 Point Spline
#case(11)
#if(View<5)
#declare Profile = sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
  V9,.03
  V10,.03
  V11,.03
#if(Type=2)
  V11,.03
#end}
#union {
object {Profile}
object {Profile rotate y*45}
object {Profile rotate y*-45}
object {Profile rotate y*90}
object {Profile rotate y*-90}
object {Profile rotate y*135}
object {Profile rotate y*-135}
object {Profile rotate y*180}
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end 
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V6
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V7
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V8
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V9
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V10
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V11
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V9
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8,
V9,
V10,
V11
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V9
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8,
V9,
V10,
V11
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break
//12 Point Spline
#case(12)
#if(View<5)
#declare Profile = sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
  V9,.03
  V10,.03
  V11,.03
  V12,.03
#if(Type=2)
  V12,.03
#end}
#union {
object {Profile}
object {Profile rotate y*45}
object {Profile rotate y*-45}
object {Profile rotate y*90}
object {Profile rotate y*-90}
object {Profile rotate y*135}
object {Profile rotate y*-135}
object {Profile rotate y*180}
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end 
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V6
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V7
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V8
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V9
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V10
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V11
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V12
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V10
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8,
V9,
V10,
V11,
V12
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V10
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8,
V9,
V10,
V11,
V12
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break  
//13 Point Spline
#case(13)
#if(View<5)
#declare Profile = sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
  V9,.03
  V10,.03
  V11,.03
  V12,.03
  V13,.03
#if(Type=2)
  V13,.03
#end}
#union {
object {Profile}
object {Profile rotate y*45}
object {Profile rotate y*-45}
object {Profile rotate y*90}
object {Profile rotate y*-90}
object {Profile rotate y*135}
object {Profile rotate y*-135}
object {Profile rotate y*180}
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end 
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V6
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V7
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V8
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V9
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V10
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V11
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V12
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V13
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V11
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8,
V9,
V10,
V11,
V12,
V13
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V11
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8,
V9,
V10,
V11,
V12,
V13
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break  
//14 Point Spline
#case(14)
#if(View<5)
#declare Profile = sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
  V9,.03
  V10,.03
  V11,.03
  V12,.03
  V13,.03
  V14,.03
#if(Type=2)
  V14,.03
#end}
#union {
object {Profile}
object {Profile rotate y*45}
object {Profile rotate y*-45}
object {Profile rotate y*90}
object {Profile rotate y*-90}
object {Profile rotate y*135}
object {Profile rotate y*-135}
object {Profile rotate y*180}
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end 
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V6
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V7
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V8
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V9
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V10
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V11
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V12
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V13
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V14
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V12
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8,
V9,
V10,
V11,
V12,
V13,
V14
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V12
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8,
V9,
V10,
V11,
V12,
V13,
V14
#if(Type=2)
V3
#end
texture {Texture}}
#end
#break  
//15 Point Spline
#case(15)
#if(View<5)
#declare Profile = sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V1,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
  V9,.03
  V10,.03
  V11,.03
  V12,.03
  V13,.03
  V14,.03
  V15,.03
#if(Type=2)
  V15,.03
#end}
#union {
object {Profile}
object {Profile rotate y*45}
object {Profile rotate y*-45}
object {Profile rotate y*90}
object {Profile rotate y*-90}
object {Profile rotate y*135}
object {Profile rotate y*-135}
object {Profile rotate y*180}
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V1
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V2
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V3
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V4
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V5
rotate y*Count}
#declare Count=Count+1;
#end 
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V6
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V7
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V8
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V9
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V10
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V11
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V12
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V13
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V14
rotate y*Count}
#declare Count=Count+1;
#end
#declare Count=0;
#while(Count<360)
sphere{0,.03 
translate V15
rotate y*Count}
#declare Count=Count+1;
#end
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V13
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8,
V9,
V10,
V11,
V12,
V13,
V14,
V15
#if(Type=2)
V3
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow}
#else
lathe {
#if(Type=1)
linear_spline
Points,
#else
cubic_spline
Points+2
V13
#end
V1,
V2,
V3,        
V4,
V5,
V6,
V7,
V8,
V9,
V10,
V11,
V12,
V13,
V14,
V15
#if(Type=2)
V3
#end
texture {Texture}}
#end
#end  
#end
