#version unofficial MegaPOV 0.7;
#macro Prism(Type,Bottom,Top,Points,
V1,V2,V3,V4,V5,V6,V7,V8,V9,V10,V11,V12,
Color,Texture)
#switch(Points)
//4 Point Prism
#case(4)
#if(View<5)
#declare WirePris = 
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V2,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
#if(Type=2)
V3,.03
#end
rotate x*90}
union {
object {WirePris}
object {WirePris translate y*Bottom}
object {WirePris translate y*Top}
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V1 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V2 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V3 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V4 rotate x*90 }
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V2,
#end
V1,V2,V3,V4
#if(Type=2)
V3         
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow} 
#else
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V2,
#end
V1,V2,V3,V4
#if(Type=2)
V3         
#end
texture {Texture}}
#end
#break
//5 Point Prism
#case(5)
#if(View<5)
#declare WirePris = 
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V3,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
#if(Type=2)
V3,.03
#end
rotate x*90}
union {
object {WirePris}
object {WirePris translate y*Bottom}
object {WirePris translate y*Top}
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V1 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V2 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V3 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V4 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V5 rotate x*90 }
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V3,
#end
V1,V2,V3,V4,V5
#if(Type=2)
V3         
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow} 
#else
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V3,
#end
V1,V2,V3,V4,V5
#if(Type=2)
V3         
#end
texture {Texture}}
#end
#break
//6 Point Prism
#case(6)
#if(View<5)
#declare WirePris = 
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V4,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
#if(Type=2)
V3,.03
#end
rotate x*90}
union {
object {WirePris}
object {WirePris translate y*Bottom}
object {WirePris translate y*Top}
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V1 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V2 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V3 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V4 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V5 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V6 rotate x*90 }
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V4,
#end
V1,V2,V3,V4,V5,V6
#if(Type=2)
V3         
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow} 
#else
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V4,
#end
V1,V2,V3,V4,V5,V6
#if(Type=2)
V3         
#end
texture {Texture}}
#end
#break
//7 Point Prism
#case(7)
#if(View<5)
#declare WirePris = 
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V5,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
#if(Type=2)
V3,.03
#end
rotate x*90}
union {
object {WirePris}
object {WirePris translate y*Bottom}
object {WirePris translate y*Top}
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V1 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V2 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V3 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V4 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V5 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V6 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V7 rotate x*90 }
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V5,
#end
V1,V2,V3,V4,V5,V6,V7
#if(Type=2)
V3         
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow} 
#else
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V5,
#end
V1,V2,V3,V4,V5,V6,V7
#if(Type=2)
V3         
#end
texture {Texture}}
#end
#break
//8 Point Prism
#case(8)
#if(View<5)
#declare WirePris = 
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V6,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
#if(Type=2)
V3,.03
#end
rotate x*90}
union {
object {WirePris}
object {WirePris translate y*Bottom}
object {WirePris translate y*Top}
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V1 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V2 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V3 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V4 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V5 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V6 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V7 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V8 rotate x*90 }
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V6,
#end
V1,V2,V3,V4,V5,V6,V7,V8
#if(Type=2)
V3         
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow} 
#else
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V6,
#end
V1,V2,V3,V4,V5,V6,V7,V8
#if(Type=2)
V3         
#end
texture {Texture}}
#end
#break
//9 Point Prism
#case(9)
#if(View<5)
#declare WirePris = 
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V7,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
  V9,.03
#if(Type=2)
V3,.03
#end
rotate x*90}
union {
object {WirePris}
object {WirePris translate y*Bottom}
object {WirePris translate y*Top}
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V1 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V2 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V3 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V4 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V5 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V6 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V7 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V8 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V9 rotate x*90 }
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V7,
#end
V1,V2,V3,V4,V5,V6,V7,V8,V9
#if(Type=2)
V3         
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow} 
#else
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V7,
#end
V1,V2,V3,V4,V5,V6,V7,V8,V9
#if(Type=2)
V3         
#end
texture {Texture}}
#end
#break
//10 Point Prism
#case(10)
#if(View<5)
#declare WirePris = 
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V8,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
  V9,.03
  V10,.03
#if(Type=2)
V3,.03
#end
rotate x*90}
union {
object {WirePris}
object {WirePris translate y*Bottom}
object {WirePris translate y*Top}
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V1 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V2 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V3 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V4 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V5 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V6 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V7 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V8 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V9 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V10 rotate x*90 }
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V8,
#end
V1,V2,V3,V4,V5,V6,V7,V8,V9,V10
#if(Type=2)
V3         
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow} 
#else
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V8,
#end
V1,V2,V3,V4,V5,V6,V7,V8,V9,V10
#if(Type=2)
V3         
#end
texture {Texture}}
#end
#break
//11 Point Prism
#case(11)
#if(View<5)
#declare WirePris = 
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V9,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
  V9,.03
  V10,.03
  V11,.03
#if(Type=2)
V3,.03
#end
rotate x*90}
union {
object {WirePris}
object {WirePris translate y*Bottom}
object {WirePris translate y*Top}
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V1 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V2 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V3 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V4 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V5 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V6 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V7 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V8 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V9 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V10 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V11 rotate x*90 }
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V9,
#end
V1,V2,V3,V4,V5,V6,V7,V8,V9,V10,V11
#if(Type=2)
V3         
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow} 
#else
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V9,
#end
V1,V2,V3,V4,V5,V6,V7,V8,V9,V10,V11
#if(Type=2)
V3         
#end
texture {Texture}}
#end
#break
//12 Point Prism
#case(12)
#if(View<5)
#declare WirePris = 
sphere_sweep {
#if(Type=1)
linear_sphere_sweep,
Points,
#else
catmull_rom_spline_sphere_sweep 
Points+2
V10,.03
#end
  V1,.03
  V2,.03
  V3,.03
  V4,.03
  V5,.03
  V6,.03
  V7,.03
  V8,.03
  V9,.03
  V10,.03
  V11,.03
  V12,.03
#if(Type=2)
V3,.03
#end
rotate x*90}
union {
object {WirePris}
object {WirePris translate y*Bottom}
object {WirePris translate y*Top}
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V1 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V2 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V3 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V4 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V5 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V6 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V7 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V8 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V9 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V10 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V11 rotate x*90 }
cylinder{<0,0,Bottom>,<0,0,Top>,.03 translate V12 rotate x*90 }
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V10,
#end
V1,V2,V3,V4,V5,V6,V7,V8,V9,V10,V11,V12
#if(Type=2)
V3         
#end
pigment {Clear}finish {ambient 0 diffuse 0}}
pigment {Color}
finish {Luminous}
no_shadow} 
#else
prism {
#if(Type=1)
linear_spline
#else
cubic_spline 
#end
Bottom,       
Top,       
#if(Type=1)
Points,
#else
Points+2
V10,
#end
V1,V2,V3,V4,V5,V6,V7,V8,V9,V10,V11,V12
#if(Type=2)
V3         
#end
texture {Texture}}
#end
#end
#end
