#version unofficial MegaPOV 0.7;
#macro HFPattern(Dim1,Dim2,Pattern,PatScale,HFScale,Color,Texture)
#declare Myhf = height_field { 
pattern Dim1,Dim2{hf_gray_16
#switch(Pattern)
#case(1)
bozo
#break
#case(2)
bumps
#break
#case(3)
crackle
#break
#case(4)
leopard
#break
#case(5)
quilted
#end
color_map {
[0 rgb 0]
[1 rgb 1]}
scale PatScale}
texture {Texture}}
#if(View<5)
#macro OneSpline(Zpos)
sphere_sweep {
linear_sphere_sweep
40
#declare Count = 0;
#while(Count<1)
<Count,hf_height_at(Count,Zpos,Myhf)+.005,Zpos>,.005
#declare Count = Count+.025;
#end
pigment {Color}
finish {Luminous}
no_shadow} 
#end
#macro TwoSpline(Xpos)
sphere_sweep {
linear_sphere_sweep
40
#declare Count = 0;
#while(Count<1)
<Xpos,hf_height_at(Xpos,Count,Myhf)+.005,Count>,.005
#declare Count = Count+.025;
#end
pigment {Color}
finish {Luminous}
no_shadow} 
#end
union {
OneSpline(0)
OneSpline(.05)
OneSpline(.1)
OneSpline(.15)
OneSpline(.2)
OneSpline(.25)
OneSpline(.3)
OneSpline(.35)
OneSpline(.4)
OneSpline(.45)
OneSpline(.5)
OneSpline(.55)
OneSpline(.6)
OneSpline(.65)
OneSpline(.7)
OneSpline(.75)
OneSpline(.8)
OneSpline(.85)
OneSpline(.9)
OneSpline(.95)
OneSpline(1)
TwoSpline(0)
TwoSpline(.05)
TwoSpline(.1)
TwoSpline(.15)
TwoSpline(.2)
TwoSpline(.25)
TwoSpline(.3)
TwoSpline(.35)
TwoSpline(.4)
TwoSpline(.45)
TwoSpline(.5)
TwoSpline(.55)
TwoSpline(.6)
TwoSpline(.65)
TwoSpline(.7)
TwoSpline(.75)
TwoSpline(.8)
TwoSpline(.85)
TwoSpline(.9)
TwoSpline(.95)
TwoSpline(1)
translate <-.5,0,-.5> 
scale HFScale}
#else
object{Myhf translate <-.5,0,-.5> scale HFScale}
#end
#end