#version unofficial MegaPOV 0.7;
 
#macro Plane(Axis,Position,Color,Texture) 
#if(View<5)
#declare Wire_Plane = union {
#declare Count = 0;
#while(Count<25)
torus{Count,.025
pigment {Color}
finish {Luminous}
no_shadow}
#declare Count=Count+1;
#end}
#switch(Axis)
#case(1)
object {Wire_Plane
translate y*Position}
#break
#case(2)
object {Wire_Plane rotate x*-90
translate z*Position}
#break
#case(3)
object {Wire_Plane rotate z*90
translate X*Position}
#end
#else
#switch(Axis)
#case(1)
plane {y,Position
#break
#case(2)
plane {z,Position
#break
#case(3)
plane {x,Position
#end
texture {Texture}}
#end
#end

